> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hystruct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhooks

> Show all webhooks for a team



## OpenAPI

````yaml get /v1/integrations/webhooks/list
openapi: 3.0.0
info:
  title: Hystruct API
  version: 1.0.0
servers:
  - url: https://api.hystruct.com
security:
  - apiKey: []
externalDocs:
  url: https://docs.hystruct.com
  description: Documentation
paths:
  /v1/integrations/webhooks/list:
    get:
      summary: List all webhooks
      description: Show all webhooks for a team
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                description: Successful response
                type: object
                properties:
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                        url:
                          type: string
                        events:
                          type: array
                          items:
                            type: string
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Bad request
                type: object
                properties:
                  error:
                    type: string
        '404':
          description: No workflow found
          content:
            application/json:
              schema:
                description: No workflow found
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````